jQuery(document).ready(function ($) {

    var $blog = $('.divi-podcast-blog-box'),
        $blogExcerpt = $('.divi-podcast-blog-box .blog-box-excerpt'),
        $blogThumb = $('.divi-podcast-blog-box .thumb-wrapper');

    function diviPodcastBlogOnResize() {

        // Get height of the excerpt
        var $blogExcerptHeight = $($blogExcerpt).height();

        // Get height of the thumbnail
        var $blogThumbHeight = $($blogThumb).height();

        // Calculate height of the thumbnail on hover
        var $blogThumbHoverHeight = $blogThumbHeight - $blogExcerptHeight;

        // Hide post excerpt below visible area
        $blogExcerpt.css({"margin-bottom": '-' + $blogExcerptHeight + 'px'});

        $blog.hover(
            function () {
                $(this).find($blogExcerpt).css({"margin-bottom": 0 + 'px', opacity: 1});
                $(this).find($blogThumb).css({height: $blogThumbHoverHeight + 'px'});
            }, function () {
                $(this).find($blogExcerpt).css({"margin-bottom": '-' + $blogExcerptHeight + 'px', opacity: 0});
                $(this).find($blogThumb).css({height: $blogThumbHeight + 'px'});
            }
        )
    }

    $(window).on("resize", diviPodcastBlogOnResize);
});