<div id="main-content">

    <?php
    include('archive-header.php');
    ?>

    <div class="container">
        <div id="content-area" class="clearfix">

            <?php
            include('podcast-categories-list.php');
            ?>

            <?php
            // Check if sidebar is enabled in customizer
            if (get_theme_mod('podcast_sidebar_display', 'show') == 'show') : ?>
            <div id="left-area">
                <?php else: ?>
                <div id="full-area">
                    <?php endif ?>

                    <div class="post-feed-flexbox-wrapper">

                        <?php if (have_posts()) :
                        while (have_posts()) : the_post();
                            // Show post
                            include('podcast-box.php');
                        endwhile;   // end query
                        ?>

                    </div>

                <?php
                if (function_exists('wp_pagenavi'))
                    wp_pagenavi(); else
                    get_template_part('includes/navigation', 'index');
                else : get_template_part('includes/no-results', 'index');
                endif;
                ?>

                </div><!-- #left-area -->

                <?php
                // Check if sidebar is enabled in customizer
                if (get_theme_mod('podcast_sidebar_display', 'show') == 'show') :
                    get_sidebar('podcast');
                endif ?>

            </div> <!-- content-area -->
        </div> <!-- container -->
    </div> <!-- main-content -->


<?php get_footer(); ?>