<article id="post-<?php the_ID(); ?>" <?php post_class('divi-podcast-blog-box '); ?>>
    <div class="post-wrapper">
        <?php
        $thumb = '';
        $width = (int)apply_filters('et_pb_index_blog_image_width', 1080);
        $height = (int)apply_filters('et_pb_index_blog_image_height', 675);
        $classtext = 'et_featured_image';
        $titletext = get_the_title();
        $thumbnail = get_thumbnail($width, $height, $classtext, $titletext, $titletext, false, 'Blogimage');
        $thumb = $thumbnail["thumb"];
        ?>

        <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-wrapper">
                <a href="<?php the_permalink(); ?>">
                    <?php print_thumbnail($thumb, $thumbnail["use_timthumb"], $titletext, $width, $height); ?>
                </a>
            </div>    <!-- end .post-thumbnail -->
        <?php } else { ?>
            <div class="thumb-wrapper no-thumbnail">
                <a href="<?php the_permalink(); ?>"></a>
            </div>    <!-- end .post-thumbnail -->
        <?php } ?>

        <div class="author-info">
            <?php
            // Get link to the author archive page
            $author_posts = get_author_posts_url(get_the_author_meta('ID', $post->post_author));
            // Avatar
            $author_avatar = get_avatar(get_the_author_meta('user_email'), 80);
            ?>
            <a href="<?php echo esc_url($author_posts); ?>">
                <?php echo esc_url($author_avatar); ?>
            </a>
        </div>

        <div class="blog-box-meta">
            <?php //the_time('F j, Y'); ?>
            <div class="date"><?php echo get_the_date(); ?></div>
            <?php echo get_the_term_list($post->ID, 'category', $before = '<div class="post-meta">', $sep = ', ', $after = '</div>'); ?>

            <h2 class="entry-title">
                <a href="<?php the_permalink(); ?>">
                    <?php
                    // trim words if boxes are displayed on single post page
                    // we are going to use short titles on related posts section
                    $max = 35;
                    $post_title = get_the_title();
                    if (strlen($post_title) > $max) {
                        echo esc_html(substr($post_title, 0, $max) . "...");
                    } else {
                        echo esc_html($post_title);
                    }
                    ?>
                </a>
            </h2>
        </div>

        <div class="blog-box-excerpt">
            <?php truncate_post(80); ?>
        </div>

    </div>

</article> <!-- .et_pb_post -->
