<article id="post-<?php the_ID(); ?>" <?php post_class('podcast-box'); ?>>

    <?php
    $thumb = '';
    $width = (int)apply_filters('et_pb_index_podcast_image_width', 1080);
    $height = (int)apply_filters('et_pb_index_podcast_image_height', 675);
    $classtext = 'et_pb_post_main_image';
    $titletext = get_the_title();
    $thumbnail = get_thumbnail($width, $height, $classtext, $titletext, $titletext, false, 'podcastimage');
    $thumb = $thumbnail["thumb"];
    ?>

    <div class="thumb-wrapper">
        <a href="<?php the_permalink(); ?>">
            <?php print_thumbnail($thumb, $thumbnail["use_timthumb"], $titletext, $width, $height); ?>
        </a>
    </div>

    <div class="podcast-box-meta">
        <div class="date"><?php the_time('F j, Y'); ?></div>
        <?php echo get_the_term_list( $post->ID, 'podcast-category',  $before = '<div class="post-meta">', $sep = ', ', $after = '</div>'); ?>
        <h2 class="entry-title">
            <a href="<?php the_permalink(); ?>">
                <?php
                // trim words if boxes are displayed on single podcast page
                // we are going to use short titles on related podcasts section
                if (is_single()) {
                    $max = 40;
                    $post_title = get_the_title();
                    if (strlen($post_title) > $max) {
                        echo esc_html(substr($post_title, 0, $max) . "...");
                    } else {
                        echo esc_html($post_title);
                    }
                } else {
                    the_title();
                }
                ?>
            </a>
        </h2>
    </div>

</article> <!-- .et_pb_post -->
