<?php

// Get ID of current post
$currentID = get_the_ID();

// Related Podcasts Query
$my_query = new WP_Query(array(
    'post_type' => 'podcast',
    'posts_per_page' => '4',
    'orderby' => 'rand',
    'post__not_in' => array($currentID)
));

if ($my_query->have_posts()) : ?>

    <div class="pct-related-podcasts">
        <div class="container">
            <h2 class="related-title">
                <?php printf( esc_html__('You may also like', 'divipodcast')); ?>
            </h2>
            <div class="post-feed">
                <?php
                while ($my_query->have_posts()) : $my_query->the_post();
                    include('podcast-box.php');
                endwhile;
                ?>
            </div>
        </div>
    </div>

<?php
endif;
wp_reset_query();
?>